// xstring.hxx: string extensions header.
// 
// Copyright (C) 2001 Frank Langbein <frank@langbein.org>
// All rights reserved.
//
// This program is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
// 
// $Id: xstring.hxx,v 1.2.2.1 2001/08/16 16:19:05 scmfcl Exp $
//

#ifndef XSTRING_HXX
#define XSTRING_HXX 1

// Numeric to string conversion.
string const as_string (double t);
string const as_string (long i);
string const as_string (int i);
string const as_string (unsigned long i);
string const as_string (unsigned int i);

#endif // XSTRING_HXX

/// Local Variables:
/// exe-comm: "./sil"
/// compile-command: "make"
/// End:
